Loading...
Searching...
No Matches
dolfin::GenericLinearAlgebraFactory::NotImplementedLinearOperator Class Reference
Inheritance diagram for dolfin::GenericLinearAlgebraFactory::NotImplementedLinearOperator:
[legend]
Collaboration diagram for dolfin::GenericLinearAlgebraFactory::NotImplementedLinearOperator:
[legend]

## Public Member Functions

std::size_t | size (std::size_t dim) const
| Return size of given dimension.
void | mult (const GenericVector &x, GenericVector &y) const
| Compute matrix-vector product y = Ax.
MPI_Comm | mpi_comm () const
| Return MPI communicator.
std::string | str (bool verbose) const
| Return informal string representation (pretty-print).
Public Member Functions inherited from dolfin::LinearAlgebraObject
virtual const LinearAlgebraObject * | instance () const
| Return concrete instance / unwrap (const version).
virtual LinearAlgebraObject * | instance ()
| Return concrete instance / unwrap (non-const version).
virtual std::shared_ptr< const LinearAlgebraObject > | shared_instance () const
| Return concrete shared ptr instance / unwrap (const version).
virtual std::shared_ptr< LinearAlgebraObject > | shared_instance ()
| Return concrete shared ptr instance / unwrap (non-const version).
Public Member Functions inherited from dolfin::Variable
| Variable ()
| Create unnamed variable.
| Variable (const std::string name, const std::string label)
| Create variable with given name and label.
| Variable (const Variable &variable)
| Copy constructor.
virtual | ~Variable ()
| Destructor.
const Variable & | operator= (const Variable &variable)
| Assignment operator.
void | rename (const std::string name, const std::string label)
| Rename variable.
std::string | name () const
| Return name.
std::string | label () const
| Return label (description).
std::size_t | id () const

## Additional Inherited Members

Public Attributes inherited from dolfin::Variable
Parameters | parameters
| Parameters.
Protected Member Functions inherited from dolfin::GenericLinearOperator
virtual void | init_layout (const GenericVector &x, const GenericVector &y, GenericLinearOperator *wrapper)

## Member Function Documentation

## mpi_comm()

MPI_Comm dolfin::GenericLinearAlgebraFactory::NotImplementedLinearOperator::mpi_comm | ( |  | ) | const

inline virtual

Return MPI communicator.

Implements dolfin::LinearAlgebraObject.

## mult()

void dolfin::GenericLinearAlgebraFactory::NotImplementedLinearOperator::mult | ( | const GenericVector & | x,
|  | GenericVector & | y ) const

inline virtual

Compute matrix-vector product y = Ax.

Implements dolfin::GenericLinearOperator.

## size()

std::size_t dolfin::GenericLinearAlgebraFactory::NotImplementedLinearOperator::size | ( | std::size_t | dim | ) | const

inline virtual

Return size of given dimension.

Implements dolfin::GenericLinearOperator.

## str()

std::string dolfin::GenericLinearAlgebraFactory::NotImplementedLinearOperator::str | ( | bool | verbose | ) | const

inline virtual

Return informal string representation (pretty-print).

Implements dolfin::GenericLinearOperator.

The documentation for this class was generated from the following file:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/la/GenericLinearAlgebraFactory.h